=== debian/changelog ===
simgear (2.10.0-6ubuntu1) trusty; urgency=low

  * Rebuild against latest openscenegraph/libav.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 21 Nov 2013 07:31:51 +0200

simgear (2.10.0-6) unstable; urgency=low

  * Keep using strict-aliasing on mipsel.

 -- Markus Wanner <markus@bluegap.ch>  Fri, 20 Sep 2013 23:04:01 +0200

simgear (2.10.0-5) unstable; urgency=low

  * Drop a superfluous ${shlibs:Depends}.
  * Accept libopenscenegraph-3.2.0~rc1, again, as per discussion with OSG
    maintainers.
  * Use no-strict-aliasing for big-endian architectures, as recommended by
    Rebecca Palmer. Closes: #722115

 -- Markus Wanner <markus@bluegap.ch>  Fri, 20 Sep 2013 20:13:10 +0200

simgear (2.10.0-4) unstable; urgency=low

  * Mark libopenscenegraph-3.2.0~rc1 as breaking simgear: it uses a
    library major version different from the final 3.2.0 series.
  * Add patch cppbind-charsignedness.diff to fix test failures on
    at least armel.
  * Add .shlib files so we at least have these.

 -- Markus Wanner <markus@bluegap.ch>  Fri, 13 Sep 2013 17:57:03 +0200

simgear (2.10.0-3) unstable; urgency=low

  * Correct an off-by-one bug in patch CVE-2012-2091.diff.

 -- Markus Wanner <markus@bluegap.ch>  Sun, 08 Sep 2013 10:25:53 +0200

simgear (2.10.0-2) unstable; urgency=low

  [ Scott Kitterman ]
  * Fix for CVE-2012-2091: add checks against buffer overruns in
    sg_socket_udp.cxx when reading from UDP sockets.

  [ Markus Wanner ]
  * Fix for CVE-2012-2090: prevent %n being passed to format
    strings. Together with the above fix, this closes: #669024.
  * Update copyright file. Now in DEP-5 style.

 -- Markus Wanner <markus@bluegap.ch>  Sat, 07 Sep 2013 21:18:10 +0200

simgear (2.10.0-1) experimental; urgency=low

  * New upstream release. (Closes: #718380, #701357)
  * Rename to prepend 'lib' and split into separate core and scene
    packages, so that the SONAME matches the package name.
  * Drop patch nasal-endian.patch, it got applied upstream.
  * Cleanup build dependencies: remove obsolete ORed deps:
    xlibmesa-gl-dev, xlibmesa-glu-dev, libglu1-xorg-dev.
  * Update Standards-Version to 3.9.4, no changes.
  * Use dpkg-buildflags for proper hardening, pass the flags via
    CMAKE_FLAGS.
  * Use build type RelWithDebInfo and verbose makefile generation.
  * Add patch osg-compat.diff for compatibility with OSG 3.1.8 and newer.
  * Compile against the system's expat library. Closes: #560937.
  * control: let VCS point to new git repo in collab-maint
  * Bump compat level to 8.
  * rules: rewrite to use dh7, simplify a lot, drop the static libraries
    from the -dev package.
  * Add myself as an uploader.
  * Add patch gcc-macro-correction.diff for compatibility with boost1.53.

 -- Markus Wanner <markus@bluegap.ch>  Wed, 28 Aug 2013 09:26:38 +0200
