=== debian/watch ===
version=3
#ftp://ftp.simgear.org/pub/simgear/Source/simgear-(.*)\.tar\.bz2
ftp://mirrors.ibiblio.org/pub/mirrors/simgear/ftp/Source/simgear-(.*)\.tar\.bz2
